Skip to content

Close a hold limit breach

Request

Closes an open hold limit breach by performing a one-time refund to a specified recipient. The recipient will receive the excess amount that caused the breach.

Only breaches with state: OPEN can be closed via this endpoint.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The profile ID.

holdLimitBreachIdinteger, (int64)required

The hold limit breach ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
targetRecipientIdintegerrequired

ID of the recipient to receive the refund of the excess funds.

Example:148393305
statestringrequired

Must be CLOSED. This is the only supported value.

Example:"CLOSED"
curl -i -X POST \
  'https://api.wise.com/v1/profiles/{profileId}/balances/hold-limit-breach/{holdLimitBreachId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "targetRecipientId": 148393305,
    "state": "CLOSED"
  }'

Responses

Returns 204 No Content on success.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content